﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGValueChangeEventDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;            
        }       

        private void xdg1_Grouped(object sender, Infragistics.Windows.DataPresenter.Events.GroupedEventArgs e)
        {

        }

        private void xdg1_DataValueChanged(object sender, Infragistics.Windows.DataPresenter.Events.DataValueChangedEventArgs e)
        {
            Debug.WriteLine("Record CHANGED!");
        }      

        Random r = new Random();
        int count = 1;
        private void changeNumberBtn_Click(object sender, RoutedEventArgs e)
        {
            SampleData sd = GetRandomSD();
            sd.Number = r.Next(1000);
        }

        private void changeNameBtn_Click(object sender, RoutedEventArgs e)
        {
            SampleData sd = GetRandomSD();
            sd.Name = "New Name " + count.ToString();
            count++;
        }

        private void changeIDBtn_Click(object sender, RoutedEventArgs e)
        {
            SampleData sd = GetRandomSD();
            sd.ID = r.Next(100);
        }

      
        private SampleData GetRandomSD()
        {
            return vm.Data[r.Next(vm.Data.Count)];
        }

        private void xdg1_Loaded(object sender, RoutedEventArgs e)
        {                        
        }
    }
}
